<?php

namespace Intuit\Response;

use Intuit\Models\Tax as TaxModel;

/**
 * This is an Invoice Intuit Response to API calls
 */
class Taxcode extends Base
{
	protected const LOGKEY = 'RTI';

	public function __construct(object $response)
	{
		parent::__construct($response);

		if (object_get($response,'time'))
			unset($response->time);

		$this->_model = new TaxModel((array)$response->Tax);
	}
}